Skip to content

Get Materialization Plan Details

API Description

Use this API to query the complete configuration of a specified materialization plan, including external materialization plans.
users can understand the overall structure of the current plan from the returned metrics, dimensions, column mappings, scheduling information, and related content. The input is the plan uuid, which is the unique identifier returned by the system when the plan is saved.

API URL

GET /anymetrics/api/v1/accelerate/plan/queryAccelerateResultPlan

Request parameters

Common Request Headers

parameter Type required Description
tenant-id String Yes Tenant ID, used to identify the tenant for metric query content.
auth-type String Yes Authentication method. Supports UID, TOKEN, ACCOUNT, and APIKEY.
auth-value String Yes Authentication value corresponding to auth-type.

How to Obtain Common parameters

You can view this in the top navigation of Aloudata CAN under Metric Applications > API Integration.

image.png

Request parameters

Field Type required Description
uuid String Yes Materialization plan unique ID to query

Request Example

GET /anymetrics/api/v1/accelerate/plan/queryAccelerateResultPlan?uuid=ecfc2a9539a04ef49897a9b4e3d65e7f

Response parameter Description

Field Type Description
id String Plan UUID
name String Plan name
displayName String Display name
tablePath Object tableCatalog / tableSchema / tableName
materializeType String Materialization type(EXTERNAL)
metricTimeGranularity String Metric date granularity, such as DAY or MONTH
metricEntityList List Roll-up dimension configuration for each metric
mtConfig Object Materialized-table field configuration, including column name, field ID, and type
metricList List Original metric code list
dimensionList List Original dimension code list
timeConstraint String / List Metric date filter conditions
dimensionFilters List Dimension filter conditions
refreshConfig Object Refresh configuration. Display only

Response Example

{
  "id": "ecfc2a9539a04ef49897a9b4e3d65e7f",
  "name": "chaifen_test",
  "displayName": "chaifen_ceshi",
  "tablePath": {
    "tableCatalog":"default_catalog",
    "tableSchema":"aloudatacan",
    "tableName":"jiasu_table1"
  },
  "materializeType": "EXTERNAL",
  "metricTimeGranularity": "DAY",
  "metricEntityList": [
    {
      "id": "METRIC_mce5493438bb57b4e71b087aead42a03_nSEdsReGdDNMYytI",
      "code": "mce5493438bb57b4e71b087aead42a03",
      "actualDimensionList": [
        "DIMENSION_metric_time_PyYVQUjhwHwzlQYV",
        "DIMENSION_dmb9b604484bd9f5dd9bb8f1a2f22cb7_RZbLQxGfStRjSnuf"
      ]
    }
  ],
  "mtConfig": {
    "columnConfigs":[
      {
        "id": "METRIC_mce5493438bb57b4e71b087aead42a03_nSEdsReGdDNMYytI",
        "type": "METRIC",
        "name": "avg_order_amount"
      },
      {
        "type": "DIMENSION",
        "id": "DIMENSION_dmb9b604484bd9f5dd9bb8f1a2f22cb7_RZbLQxGfStRjSnuf",
        "name": "username"
      }
    ]
  },
  "metricList": ["mce5493438bb57b4e71b087aead42a03"],
  "dimensionList": ["dmb9b604484bd9f5dd9bb8f1a2f22cb7"],
  "timeConstraint": ["CAST(metric_time AS DATE) >= '2025-01-01'"],
  "dimensionFilters": ["username != ''"],
  "refreshConfig": {
    "isFullRefresh":false,
    "granularity": "DAY",
    "updateUpperInterval": -1,
    "updateLowerInterval": -3,
    "isScheduleUpdate": true,
    "cron": "0 0 0 * * ?"
  }
}